IARRAY_REGRID_3D(3)

EXPERIMENTAL_FUNC
iarray_regrid_3D - Regrid an array by iterating over the output array.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_regrid_3D

(iarray out_arr, KwcsAstro out_ap, iarray in_arr, KwcsAstro in_ap, unsigned int sample_option, float *min, float *max, flag verbose)

DESCRIPTION
Regrid an array by iterating over the output array.

out_arr
    The output array. The new grid must already be defined.

out_ap
    The output KwcsAstro object.

in_arr
    The input array.

in_ap
    The input KwcsAstro object.

sample_option
    The sample option to use.

min The minimum value is written here. This is updated. This may be NULL.

max The maximum value is written here. This is updated. This may be NULL.

verbose
    If TRUE, diagnostic messages are displayed.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/